summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorGravatar RaNaN <Mast3rRaNaN@hotmail.de> 2013-06-30 13:11:00 +0200
committerGravatar RaNaN <Mast3rRaNaN@hotmail.de> 2013-06-30 13:11:00 +0200
commit474768b2685ebba5bb2d5f8e40dac5dde2953b9d (patch)
treee5a1f6f022978b26475a7b2f372ec1bc0ad9edd2 /tests
parentadded pylint config (diff)
downloadpyload-474768b2685ebba5bb2d5f8e40dac5dde2953b9d.tar.xz
catch pylint return code
Diffstat (limited to 'tests')
-rwxr-xr-xtests/code_analysis.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/code_analysis.sh b/tests/code_analysis.sh
index 85b177223..052ddcdf2 100755
--- a/tests/code_analysis.sh
+++ b/tests/code_analysis.sh
@@ -3,7 +3,6 @@
sloccount --duplicates --wide --details pyload > sloccount.sc
echo "Running pep8"
-
pep8 pyload > pep8.txt
#echo "Running pyflakes"
@@ -13,4 +12,6 @@ pep8 pyload > pep8.txt
#cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
#sed -i 's/^.\///g' pyflakes.txt
-pylint pyload > pylint.txt \ No newline at end of file
+
+echo "Running pylint"
+pylint --reports=no pyload > pylint.txt || return 0 \ No newline at end of file